/////////////////////////////////////////////////////////////////////////////
// Name:      MediaFile.h
// Author:    Alex Thuering
// Created:   7.07.2012
// Copyright: (c) Alex Thuering
// Licence:   GPL
/////////////////////////////////////////////////////////////////////////////
#ifndef MEDIAFILE_H_
#define MEDIAFILE_H_

#include <wx/string.h>

/**
 * Stores information about Media File
 */
class MediaFile {
public:
	/**
	 * Comstrcutor
	 */
	MediaFile(const wxString& fileName);
	
	/** Returns filename */
	wxString GetFileName() const {
		return fileName;
	}
	
	/** Returns size of file in KB */
	long GetSize() const {
		return size;
	}
	
private:
	/** File name */
	wxString fileName;
	/** Size of file in KB */
	long size;
};

#endif
