/////////////////////////////////////////////////////////////////////////////
// Name:      utils.h
// Author:    Alex Thuering
// Created:   7.07.2012
// Copyright: (c) Alex Thuering
// Licence:   GPL
/////////////////////////////////////////////////////////////////////////////

#ifndef UTILS_H_
#define UTILS_H_

#include <wx/wx.h>
#include <wx/log.h>
#include <wx/mstream.h>

#if defined(DEBUG) || defined(__WXDEBUG__)
#define wxLogTraceE(msg)\
 wxLogMessage(wxString(_T("%s:%d: trace: ")) + msg, __TFILE__, __LINE__)
#else
#define wxLogTraceE
#endif

#if wxCHECK_VERSION(2,9,0)
#define BITMAP_TYPE_ANY wxBITMAP_TYPE_ANY
#else
#define BITMAP_TYPE_ANY  -1
#endif

wxString wxGetAppPath();
void wxSetAppPath(wxString value);

wxString wxFindDataDirectory(wxString dir);
wxString wxFindDataFile(wxString filename);

#define wxBITMAP_FROM_MEMORY(name) wxGetBitmapFromMemory(name##_png, sizeof(name##_png))

inline wxBitmap wxGetBitmapFromMemory(const unsigned char *data, int length) {
   wxMemoryInputStream is(data, length);
   return wxBitmap(wxImage(is, wxBITMAP_TYPE_ANY, -1), -1);
}

#define wxICON_FROM_MEMORY(name) wxGetIconFromMemory(name##_png, sizeof(name##_png))

inline wxIcon wxGetIconFromMemory(const unsigned char *data, int length) {
   wxIcon icon;
   icon.CopyFromBitmap(wxGetBitmapFromMemory(data, length));
   return icon;
}

#endif // UTILS_H_
